org.richfaces.fragment.tree

## Class RichFacesTree

- java.lang.Object
- - org.richfaces.fragment.tree.RichFacesTree

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesTree.AdvancedTreeInteractionsImpl>, AdvancedVisibleComponentIteractions<RichFacesTree.AdvancedTreeInteractionsImpl>, Tree
  Direct Known Subclasses:
    RichFacesTreeNode

      public class RichFacesTree
      extends Object
      implements Tree, AdvancedVisibleComponentIteractions<RichFacesTree.AdvancedTreeInteractionsImpl>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesTree.AdvancedTreeInteractionsImpl`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.tree.Tree

      `Tree.AdvancedTreeInteractions, Tree.TreeNode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesTree()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesTree.AdvancedTreeInteractionsImpl` | `advanced()`
    `Tree.TreeNode` | `collapseNode(ChoicePicker picker)` Collapses child node chosen by picker.
    `Tree.TreeNode` | `collapseNode(int index)` Collapses child node at index.
    `Tree.TreeNode` | `expandNode(ChoicePicker picker)` Expands child node chosen by picker.
    `Tree.TreeNode` | `expandNode(int index)` Expands child node at index.
    `protected int` | `getIndexOfPickedElement(ChoicePicker picker)`
    `Tree.TreeNode` | `selectNode(ChoicePicker picker)` Selects child node chosen by picker.
    `Tree.TreeNode` | `selectNode(int index)` Selects child node at index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesTree

          public RichFacesTree()

  - ### Method Detail

    - #### advanced

          public RichFacesTree.AdvancedTreeInteractionsImpl advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesTree.AdvancedTreeInteractionsImpl>`

    - #### collapseNode

          public Tree.TreeNode collapseNode(int index)

      Description copied from interface: `Tree`
      Collapses child node at index.
      Specified by:
        `collapseNode` in interface `Tree`
      Parameters:
        `index` - index of node
      Returns:
        collapsed node

    - #### collapseNode

          public Tree.TreeNode collapseNode(ChoicePicker picker)

      Description copied from interface: `Tree`
      Collapses child node chosen by picker.
      Specified by:
        `collapseNode` in interface `Tree`
      Parameters:
        `picker` - object for defining rules according which the child node will be picked and collapsed
      Returns:
        collapsed node

    - #### expandNode

          public Tree.TreeNode expandNode(int index)

      Description copied from interface: `Tree`
      Expands child node at index.
      Specified by:
        `expandNode` in interface `Tree`
      Parameters:
        `index` - index of node
      Returns:
        expanded node

    - #### expandNode

          public Tree.TreeNode expandNode(ChoicePicker picker)

      Description copied from interface: `Tree`
      Expands child node chosen by picker.
      Specified by:
        `expandNode` in interface `Tree`
      Parameters:
        `picker` - object for defining rules according which the child node will be picked and expanded
      Returns:
        expanded node

    - #### getIndexOfPickedElement

          protected int getIndexOfPickedElement(ChoicePicker picker)

    - #### selectNode

          public Tree.TreeNode selectNode(int index)

      Description copied from interface: `Tree`
      Selects child node at index.
      Specified by:
        `selectNode` in interface `Tree`
      Parameters:
        `index` - index of node
      Returns:
        selected node

    - #### selectNode

          public Tree.TreeNode selectNode(ChoicePicker picker)

      Description copied from interface: `Tree`
      Selects child node chosen by picker.
      Specified by:
        `selectNode` in interface `Tree`
      Parameters:
        `picker` - object for defining rules according which the child node will be picked and selected
      Returns:
        selected node

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.